Package org.eclipse.lemminx.settings

## Enum EnforceQuoteStyle

- java.lang.Object
- - java.lang.Enum<EnforceQuoteStyle>
  - - org.eclipse.lemminx.settings.EnforceQuoteStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<EnforceQuoteStyle>`

    public enum EnforceQuoteStyle
    extends Enum<EnforceQuoteStyle>

Enforce quote style when formatting preferred: use preferred quote style when formatting ignore: ignore formatting quotes

### Enum Constant Summary

Enum Constants
`ignore`
`preferred`

### Method Summary

All Methods Static Methods Concrete Methods
`static EnforceQuoteStyle` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static EnforceQuoteStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### preferred

    public static final EnforceQuoteStyle preferred

#### ignore

    public static final EnforceQuoteStyle ignore

### Method Detail

#### values

    public static EnforceQuoteStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnforceQuoteStyle c : EnforceQuoteStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnforceQuoteStyle valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null